Civilian setFriend [Resistance, 1];
Civilian setFriend [East, 1];
Civilian setFriend [West, 1];

bGame = true;
// while true, the game is still in progress

aYSpawnModes = ['ONCE','REPEAT','INFINITE'];
// array used for enumeration of spawn types

iViewDist = param1; // param1 is used to select the desired view distance on the MultiPlayer slot selection screen (in SP it is set to a default value available in mission init script)  
setViewDistance iViewDist;
// view distance settings, this variable 'iViewDist' is used (amongst other things) to 
// determine the exact spawn position of each yomie, to make sure they won't 
// spawn in front of the player. Default is 600  

iYMaxTDMult = 2;
// Multiplicator for calculating the maximum distance of available target from
// yomie's spawn area. Yomies will not chase their targets far than this distance from spawn area.
// The max. distance is calculated like _maxTD = (_spawn_area_radius * iYMaxTDMult);

iYInitDamage = 0;
// damage initially aplied onto each spawned yomie

iYAttackDistance = 2.3;
// maximum distance between yomie and its target allowing yomie to carry out the attack

iYDamage = 0.2;
// yomie attack damage, the resulting damage aplied to the target is: 
//   _target setDammage (getDammage _target + iYDamage + random iYDamage);

tYNextSnd = 1;
// time in seconds when yomies can start to howl (global var used inside FSM 
// files to broadcast the timeout after which we can make another yomie to howl)

yHowl = objNull;
// the yomie unit which is going to howl (again, global variable used inside FSM
// files to broadcast the howling yomie unit to other computers to ensure each 
// player machine will play the howling sound on the same yomie).

ySide = createCenter Resistance;
// Center created for creating new groups when spawning new yomies.
// Unfortunately, there is a bug, which affects acquiring targets by the AI.
// To get rid of the bug, we still need some Resistance unit placed on the map,
// in the mission editor - the CreateCenter/Group won't do the job alone.

// categories of yomie types to spawn
aYClassC = ["yomie_Undead1","yomie_Undead2","yomie_Undead3","yomie_Undead4","yomie_Civilian","yomie_Civilian2","yomie_Civilian3","yomie_Civilian4","yomie_Civilian5","yomie_Civilian6","yomie_Civilian7","yomie_Civilian8","yomie_Civilian9","yomie_Civilian10","yomie_Civilian11","yomie_Civilian12","yomie_Civilian13","yomie_Civilian14","yomie_Civilian15","yomie_Civilian16","yomie_Civilian17","yomie_Civilian18","yomie_Civilian19","yomie_Civilian20","yomie_Civilian21"];
aYClassW = ["yomie_SoldierWB","yomie_SoldierWG","yomie_SoldierWMedic","yomie_SoldierWNOG","yomie_SoldierW","yomie_SoldierWAR","yomie_SoldierWMG","yomie_SoldierWAT","yomie_SoldierWAA","yomie_SoldierWSniper","yomie_SoldierWSaboteur","yomie_SoldierWSaboteurPipe","yomie_SoldierWSaboteurPipe2","yomie_SoldierWSaboteurRecon","yomie_SoldierWSaboteurAssault","yomie_SoldierWSaboteurMarksman","yomie_SoldierWMiner","yomie_SquadLeaderW","yomie_TeamLeaderW","yomie_OfficerW","yomie_SoldierWPilot","yomie_SoldierWCrew","yomie_BISCamelPilot"];
aYClassE = ["yomie_SoldierEB","yomie_SoldierEG","yomie_SoldierEMedic","yomie_SoldierENOG","yomie_SoldierE","yomie_SoldierEMG","yomie_SoldierEAT","yomie_SoldierEAA","yomie_SoldierEMiner","yomie_SquadLeaderE","yomie_TeamLeaderE","yomie_OfficerE","yomie_SoldierESniper","yomie_SoldierESaboteur","yomie_SoldierESaboteurPipe","yomie_SoldierESaboteurBizon","yomie_SoldierESaboteurMarksman","yomie_SoldierEPilot","yomie_BISCamelPilot2","yomie_SoldierECrew"];
aYClassR = ["yomie_SoldierGB","yomie_SoldierGMedic","yomie_SoldierGG","yomie_SoldierGNOG","yomie_SoldierG","yomie_SoldierGMG","yomie_SoldierGAT","yomie_SoldierGAA","yomie_OfficerG","yomie_SquadLeaderG","yomie_TeamLeaderG","yomie_SoldierGCrew","yomie_SoldierGSniper","yomie_SoldierGCommando","yomie_SoldierGMarksman","yomie_SoldierGPilot","yomie_SoldierGMiner","yomie_SoldierGGuard","yomie_SoldierWCaptive","yomie_SoldierECaptive","yomie_SoldierGCaptive"];

// arrays of attack and howling sounds
aYSndAttk = ["yomie2","yomie5","yomie7","yomie8","yomie10","yomie11","yomie17","yomie19"];
aYSndHowl = ["yomie0","yomie1","yomie3","yomie4","yomie6","yomie9","yomie12","yomie13","yomie14","yomie15","yomie16","yomie18"];

aYBodies = [];
// array of dead bodies to remove

bYBodies = false;
// set to true when adding body to the 'aYBodies' array to prevent conflicts when multiple scripts are run to add another bodies

iYBodies = 40;
// maximum number of bodies allowed to stay
